/*
 * ImapProxy - a caching IMAP proxy daemon
 * Copyright (C) 2002 Steven Van Acker
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */


#ifndef __PROCESSING_CHILD_H__
#define __PROCESSING_CHILD_H__

#include <database.h>

/* this pointer points to the record that is being handled in a forked process
 * it is NULL when in the parent
 * and not NULL when in the child
 */
extern DB_record *forkedchild;

extern int child_handle_client_connection_closed(DB_record *);
extern int child_handle_client_connection_error(DB_record *);
extern int child_process_client_message(DB_record *);
extern int child_process_server_message(DB_record *);
extern int child_handle_connection_new_data(DB_record *,char *,int,int);
extern int child_handle_client_connection_new_data(DB_record *,char *,int);
extern int child_handle_server_connection_closed(DB_record *);
extern int child_handle_server_connection_error(DB_record *);
extern int child_handle_server_connection_new_data(DB_record *,char *,int);
extern int child_conversate();

#endif	/* __PROCESSING_CHILD_H__ */
