/*
 * ImapProxy - a caching IMAP proxy daemon
 * Copyright (C) 2002 Steven Van Acker
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */


#ifndef __SPLITSTRING_H__
#define __SPLITSTRING_H__

typedef struct split_string_t Split_string;

struct split_string_t
{
    char **parts;	/* pointer to the words */
    int numparts;	/* number of words */
};

extern int init_split_string(Split_string *);
extern int make_split_string(char *,Split_string *,char *);
extern int make_split_string_strip_crlf(char *,Split_string *,char *);
extern int delete_split_string(Split_string *);
extern int split_string_count_parts(Split_string *);
extern char *split_string_get(Split_string *,int);

#endif	/* __SPLITSTRING_H__ */

