/*
 * ImapProxy - a caching IMAP proxy daemon
 * Copyright (C) 2002 Steven Van Acker
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */


#include <stdio.h>
#include <stdarg.h>
#include <unistd.h>
#include <sys/types.h>

#include <configfile.h>
#include <defines.h>
#include <syslog.h>
#include <output.h>

void debug(char *fmt,...)
{
    static char buf[8192];
    va_list v;

    if(config_enable_debug && config_enable_logging)
    {
	va_start(v, fmt);
	vsnprintf(buf, sizeof(buf), fmt, v);
	//fprintf(stderr,"[DEBUG %d] %s",getpid(),buf);
	log(LOG_DEBUG,"[DEBUG %d] %s",getpid(),buf);
	va_end(fmt);
    }
}

void log(int level,char *fmt,...)
{
    static char buf[8192];
    va_list v;

    if(config_enable_logging)
    {
	va_start(v, fmt);
	vsnprintf(buf, sizeof(buf), fmt, v);
   
	openlog(PROGNAME, LOG_PID , config_log_facility);
	syslog(config_log_facility | level, "%s", buf);
	//closelog();
	va_end(fmt);
    }
}

